Angular Loader Component

The Loader component for Angular represents a widget which displays the built-in loading element. The loading element can be icon only, text only or combination of icon and text. It can be used to display loading element until the widget's data is loaded.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxLoader [theme]="'fluent'" #jqxLoader           
           [imagePosition]="'top'"
           [width]="100"
           [height]="60">
</jqxLoader>
<jqxButton [theme]="'fluent'" #openLoader
           (onClick)="openLoaderClick($event)"
           [width]="150">
  Open Loader
</jqxButton>
<jqxButton [theme]="'fluent'" #closeLoader
           (onClick)="closeLoaderClick($event)"
           [width]="100">
  Close
</jqxButton>	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild } from '@angular/core';

import { jqxButtonComponent, jqxButtonModule } from 'jqwidgets-ng/jqxbuttons';
import { jqxLoaderModule, jqxLoaderComponent } from 'jqwidgets-ng/jqxloader';

@Component({
    selector: 'app-root',
    imports: [jqxLoaderModule, jqxButtonModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    @ViewChild('jqxLoader') jqxLoader: jqxLoaderComponent;

    openLoaderClick(event: any): void {
        this.jqxLoader.open();
    };

    closeLoaderClick(event: any): void {
        this.jqxLoader.close();
    };
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

Loader API

API Reference of the jQWidgets Loader component for Angular: Loader API

Vue UI Components Documentation
Vue Loader Component
The Loader component for Vue represents a widget which displays the built-in loading element. The loading element can be icon only, text only or combination of icon and text. It can be used to display loading element until the widget's data is loaded.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The Loader component for Vue requires the following import:
import JqxLoader from "jqwidgets-scripts/jqwidgets-vue/vue_jqxloader.vue";
Add the jqxLoader component to the components section of the the Vue class:
components: { JqxLoader },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxLoader/>
<template> <JqxLoader :imagePosition="imagePosition" :width="width" :height="height"> </JqxLoader></template>
Properties
The properties of the <JqxLoader/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { imagePosition: 'top', width: 100, height: 60 }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxLoader @create="onCreate()" :imagePosition="imagePosition" :width="width" :height="height"></JqxLoader>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { onCreate: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxLoader ref="loader"></JqxLoader>
Here how you can use a component's method:
this.$refs.loader.open();
methods: { // Add here all used callbacks and/or events onCreate: function () { // Do something... this.$refs.loader.open(); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:
App.vue:
<template> <JqxLoader ref="loader" @create="onCreate()" :imagePosition="imagePosition" :width="width" :height="height"> </JqxLoader></template> <script> // Import the components that will be used import JqxLoader from "jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue"; export default { components: { // Adding imported widgets here JqxLoader }, data: function () { // Define properties which will use in the widget return { imagePosition: 'top', width: 100, height: 60 } }, beforeCreate: function () { // Add here any data where you want to transform before components be rendered }, methods: { // Add here all used callbacks and/or events onCreate: function () { // Do something... this.$refs.loader.open(); } } }</script> <style></style>
Loader Example
<template> <div> <JqxLoader ref="JqxLoader" :rtl="true" :imagePosition="'top'" :width="100" :height="60"> </JqxLoader> <JqxButton @click="openLoaderClick($event)" :width="150"> Open Loader </JqxButton> <JqxButton @click="closeLoaderClick($event)" :width="100"> Close </JqxButton> </div></template><script> import JqxLoader from "jqwidgets-scripts/jqwidgets-vue/vue_jqxloader.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxLoader, JqxButton }, methods: { openLoaderClick: function (event) { this.$refs.JqxLoader.open(); }, closeLoaderClick: function (event) { this.$refs.JqxLoader.close(); } } }</script> <style> .jqx-button { display: inline-block; margin-right: 5px; }</style>

React UI Components Documentation

ReactJS Loader Component

The Loader component for ReactJS represents a component which displays an animated loading icon.

Prerequisites

Refer to ReactJS Getting Started before you start with this help topic.

Configuration

The Loader component for ReactJS requires the following imports.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxLoader from 'jqwidgets-react/react_jqxloader.js';

Then we create our component class. Properties and methods are put as ReactJS props.

  
class App extends React.Component {
render () {
return (
<JqxLoader width={100} height={100} />
)
}
}

Finally we render our class in the desired HTML element:

 
ReactDOM.render(<App />, document.getElementById('app'));

Events Methods & Properties

In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:

 
<JqxLoader ref='myLoader' width={100} height={100}..... />

Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.

 
class App extends React.Component {
componentDidMount()
{
//your logic
}
render ()
{
return
(
....
)
}
};

Events

The following example demonstrates how to add an event listener:

Methods & Properties

This is how you call methods & props:

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

Every component also have a method getOptions which returns a object containing the component settings.

Loader API

API Reference of the jQWidgets Loader component for React: Sortable API